Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 609473 - Review Request: kaya-board - A board game suite for KDE
Summary: Review Request: kaya-board - A board game suite for KDE
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-06-30 11:48 UTC by Karel Volný
Modified: 2012-08-21 11:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-22 17:09:26 UTC


Attachments (Terms of Use)
kaya-board.spec for version 0.4 (deleted)
2012-08-21 11:05 UTC, Karel Volný
no flags Details

Description Karel Volný 2010-06-30 11:48:05 UTC
Spec URL: http://kvolny.fedorapeople.org/kaya.spec
SRPM URL: http://kvolny.fedorapeople.org/kaya-0.3-1.fc13.src.rpm
Description:

Kaya is a board game suite for KDE, containing games such as Chess and Shogi, and built upon a powerful plugin system which makes it easily extensible with new games, themes and behaviour.                                                                                                                             
                                                                                                                                                             
Note that Kaya is only a frontend, to play against computer you need also some CECP (XBoard) compatible backend.


The package builds in Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2283057

Note that Kaya needs ruby 1.8.7 to run, therefore ruby update blocks this review.

Comment 3 Mamoru TASAKA 2010-08-04 19:36:42 UTC
Some notes:

* %define -> %global
  - Now we prefer to use %global instead of %define
    https://fedoraproject.org/wiki/Packaging/Guidelines#.25global_preferred_over_.25define

* Requires for rubygem related packages
  - We prefer to use "rubygem(foo)" style for (Build)Requires.
    ref: (this is for perl related packages, howver can be applied to rubygem
    related packages)
    https://fedoraproject.org/wiki/Packaging/Perl#Perl_Requires_and_Provides

* Directory ownership issue
  - "%{_datadir}/icons/hicolor" (and its subdirectories) are already owned by
    hicolor-icon-theme and this package should not own these directories.

* Scriptlets
  - For icons under %_datadir/icons/hicolor, please follow
    https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Icon_Cache

* runtime error
------------------------------------------------------------------
$ kaya-board-qt 
/usr/bin/kaya-board-qt:10:in `require': no such file to load -- /usr/share/kde4/apps/kaya/lib/kaya.rb (LoadError)
	from /usr/bin/kaya-board-qt:10
------------------------------------------------------------------

Comment 4 Mamoru TASAKA 2010-08-13 17:08:01 UTC
ping?

Comment 5 Mamoru TASAKA 2010-08-25 19:35:24 UTC
ping again?

Comment 6 Mamoru TASAKA 2010-09-01 17:45:15 UTC
again ping?

Comment 7 Mamoru TASAKA 2010-09-11 16:14:26 UTC
I will close this bug as NOTABUG if no response is received
from the reporter within ONE WEEK.

Comment 8 Mamoru TASAKA 2010-09-22 17:09:26 UTC
Once closing.

If someone wants to import this package into Fedora, please
open a new review request and mark this package as a duplicate
of the new one, thank you.

Comment 9 Karel Volný 2012-08-21 11:05:05 UTC
Created attachment 605912 [details]
kaya-board.spec for version 0.4

(In reply to comment #7)
> I will close this bug as NOTABUG if no response is received
> from the reporter within ONE WEEK.

um, sorry for not responding to pings, I lost interest and in addition I was busy with RHEL by that time so I let it slip through the priorities which allowed me to ignore it completely which was not my intention ... not very polite to you, deep apologies

meanwhile, a new version was released, so I wanted to try that

I've incorporated your feedback (thanks a lot!) and made a new package, see the attached spec

unfortunately, this doesn't run on Fedora 17 ... the issue is reported upstream:
https://github.com/pcapriotti/kaya/issues/6

as the author is not interested in fixing that, I'm seeking help from the Ruby community

so leaving this closed - if someone comes up with a patch which would make it work on Fedora *and* if the program will work good enough (unlike the previous version), I'll open a new review request


Note You need to log in before you can comment on or make changes to this bug.